package member

import (
	"testing"
	"log"
	"git.loafle.net/overflow/overflow_proxy_service/proxy"
)

func TestMemberService_Login(t *testing.T) {

}

func TestMemberService_Regist(t *testing.T) {
	m := &MemberService{
		Email:"geek2@loafle.com",
		PwSalt:"qwer5795",
		Company:"Loafle",
		Name:"Geek",
		Phone:"010-4055-6699",
	}

	retMem := m.Regist()
	t.Log(retMem)
}

func TestMemberLogin(t *testing.T) {
	m := &MemberService{
		Email:"geek@loafle.com",
		PwSalt:"qwer5795",
	}
	b := m.Login()
	t.Log("LOGIN RESULT : ", b)
}

func TestMemberService_Read(t *testing.T) {
	mm := make(map[string] string)
	mm["id"] = "12"
	rr := proxy.InvokeDB(TARGET_DAO, "find", mm)

	log.Println(rr)
}

func TestMemberService_ReadByEmail(t *testing.T)  {
	m := &MemberService{
		Email:"geek@loafle.com",
	}

	mm := m.getMemberMap()
	rr := proxy.InvokeDB(TARGET_DAO, "findByEmail", mm)
	log.Println(rr)
}

func TestMemberUpdate(t *testing.T) {
	m := &MemberService{
		Id: "11",
		Email:"keeg@loafle.com",
	}

	mm := m.getMemberMap()
	rr := proxy.InvokeDB(TARGET_DAO, "update", mm)
	log.Println(rr)
}